#include<stdio.h>

int main()
{
long long int n,t,b,a,lmax,dmax,d,i;
scanf("%lld",&n);
scanf("%lld",&b);
lmax=0;
dmax=0;
for(i=0;i<n;i++)
{
    scanf("%lld",&a);
    if(a>=b)
    {
        t=a-b;
        if(t>=dmax)
        dmax=t;
    }
    if(a<b)
    {
        t=b-a;
        if(t>=lmax)
        lmax=t;
    }
}
if(lmax<dmax)
d=2*lmax+dmax;
else
d=2*dmax+lmax;
printf("%lld",d);
}